import { GridFilter } from '../types';
/**
 * Provides run-time access to Grid Filter section of Adaptable State.
 */
export interface GridFilterApi {
    /**
     * Retrieves the Grid Filter from the current Layout
     * @returns Grid Filter
     */
    getCurrentGridFilter(): GridFilter | undefined;
    /**
     * Retrieves the Grid Filter's Expression from the current layout
     * @returns Grid Filter Expression
     */
    getCurrentGridFilterExpression(): string | undefined;
    /**
     * Sets the Grid Filter (for the current layout)
     * @param expression filter string
     */
    setGridFilterExpression(expression: string): void;
    /**
     * Clears the Grid Filter (for the current Layout)
     */
    clearGridFilter(): void;
    /**
     * Opens the AdapTableQL UI Components (Expression Editor & Query Builder)
     * @param expression current Grid Filter expression
     */
    openUIEditorForGridFilter(expression?: string): void;
    /**
     * Suspends the Grid Filter
     */
    suspendGridFilter(): void;
    /**
     * Unsuspends the Grid Filter
     */
    unSuspendGridFilter(): void;
}
